Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.builder
Class CustomCommandBuilder

    java.lang.Object
      com.atlassian.bamboo.command.Command
          com.atlassian.bamboo.builder.AbstractBuilder
              com.atlassian.bamboo.builder.CustomCommandBuilder

All Implemented Interfaces:
  Builder

    public class CustomCommandBuilder

extends AbstractBuilder

Field Summary
`static String` | `KEY_PREFIX`
`static String` | `PARAM_ARG`

Fields inherited from class com.atlassian.bamboo.builder.AbstractBuilder
`builderManager, DEFAULT_TEST_REPORTS_XML, PARAM_BUILD_LABEL, PARAM_BUILDJDK, PARAM_ENV_VAR, PARAM_HASTESTS, PARAM_HOME, PARAM_TEST_RESULTS_DIRECTORY, PARAM_WORKING_SUB_DIR, pluginManager, templateRenderer, velocityManager`

Constructor Summary
`CustomCommandBuilder()`

Method Summary
`Map` | `addDefaultLabelPathMaps(Map labelPathMaps)`
`void` | `addDefaultValues(BuildConfiguration configuration)`
`protected boolean` | `bashExists()`
`String` | `getArgument()`
`Commandline` | `getCommandLine()` What the is the command line to execute?
`Map` | `getFullParams()` Subclasses should extend this method rather than `Builder.getFilteredParams()` since it calls back on this method (getFillParams)
`String` | `getKey()`
`String` | `getName()`
`String` | `getPathHelp()`
`String` | `getUrl()`
`boolean` | `isPathValid(String path)` Returns true if the passed path is valid for this builder.
`void` | `setArgument(String argument)`
`void` | `setParams(FilteredMap filteredParams)`
`ErrorCollection` | `validate(BuildConfiguration buildConfiguration)`
`ErrorCollection` | `validate(FilteredMap filteredParams)` Validate the Builder's property settings when supplied from an web form

Methods inherited from class com.atlassian.bamboo.builder.AbstractBuilder
`build, collateTestResults, customiseLabelPathMaps, filterParameters, getAdminConfig, getBuildJdk, getCompleteKey, getEditHtml, getEnvironmentVariables, getFilteredParams, getFreemarkerEditHtml, getLabel, getPath, getTemplateContext, getTestChecked, getTestResultsDirectory, getViewHtml, getWorkingDirectory, getWorkingSubDirectory, hasPassed, hasTests, init, isLabelPathMapConfigurable, outputEndsWith, setAdminConfig, setBuildDir, setBuilderManager, setBuildJdk, setEnvironmentVariables, setHasTests, setLabel, setPluginManager, setTemplateRenderer, setTestChecked, setTestResultsDirectory, setVelocityManager, setWorkingSubDirectory, toString, validate`

Methods inherited from class com.atlassian.bamboo.command.Command
`executeCommand, getEnvironmentSetting, getErrorOutput, getOutput, hasErrors, isExecutableExists, isWindowsPlatform`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### KEY_PREFIX

    public static final String KEY_PREFIX

See Also:
  Constant Field Values

### PARAM_ARG

    public static final String PARAM_ARG

See Also:
  Constant Field Values

Constructor Detail

### CustomCommandBuilder

    public CustomCommandBuilder()

Method Detail

### getKey

    public String getKey()

  Returns:
    The simple key of this builder.

### getName

    public String getName()

### getPathHelp

    public String getPathHelp()

  Specified by:
    `getPathHelp` in interface `Builder`
  Overrides:
    `getPathHelp` in class `AbstractBuilder`

### getUrl

    public String getUrl()

### getCommandLine

    public Commandline getCommandLine()

  Description copied from class: `Command`
  What the is the command line to execute?

  Specified by:
    `getCommandLine` in class `Command`
  Returns:
    The command line

### validate

    public ErrorCollection validate(FilteredMap filteredParams)

  Description copied from interface: `Builder`
  Validate the Builder's property settings when supplied from an web form

  Returns:
    The collection of errors, or an empty list if no errors found

### validate

    public ErrorCollection validate(BuildConfiguration buildConfiguration)

### addDefaultValues

    public void addDefaultValues(BuildConfiguration configuration)

### isPathValid

    public boolean isPathValid(String path)

  Description copied from interface: `Builder`
  Returns true if the passed path is valid for this builder. The definition of a path depends on the builder itself. It could be the path to the executable (e.g script builder) or just the home directory (e.g. Ant builder)

  Returns:
    true if valid

### getFullParams

    public Map getFullParams()

  Description copied from interface: `Builder`
  Subclasses should extend this method rather than `Builder.getFilteredParams()` since it calls back on this method (getFillParams)

  Specified by:
    `getFullParams` in interface `Builder`
  Overrides:
    `getFullParams` in class `AbstractBuilder`
  Returns:
    Map key by the full param key (e.g. builder.ant.label). Never null

### setParams

    public void setParams(FilteredMap filteredParams)

  Specified by:
    `setParams` in interface `Builder`
  Overrides:
    `setParams` in class `AbstractBuilder`

### addDefaultLabelPathMaps

    public Map addDefaultLabelPathMaps(Map labelPathMaps)

### bashExists

    protected boolean bashExists()

### getArgument

    public String getArgument()

### setArgument

    public void setArgument(String argument)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.